Package commoble.jumbofurnace.jumbo_furnace

# Class InputItemHandler

java.lang.Object
net.minecraftforge.items.ItemStackHandler
commoble.jumbofurnace.jumbo_furnace.InputItemHandler

All Implemented Interfaces:
  `net.minecraftforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>`, `net.minecraftforge.items.IItemHandler`, `net.minecraftforge.items.IItemHandlerModifiable`

public class InputItemHandler extends net.minecraftforge.items.ItemStackHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`final JumboFurnaceCoreBlockEntity`
`te`

### Fields inherited from class net.minecraftforge.items.ItemStackHandler

`stacks`

## Constructor Summary

Constructors
Constructor
Description
`InputItemHandler(JumboFurnaceCoreBlockEntity te)`

## Method Summary

Modifier and Type
Method
Description
`ClaimableRecipeWrapper`
`getFreshRecipeInput()`
`protected void`
`onContentsChanged(int slot)`

### Methods inherited from class net.minecraftforge.items.ItemStackHandler

`deserializeNBT, extractItem, getSlotLimit, getSlots, getStackInSlot, getStackLimit, insertItem, isItemValid, onLoad, serializeNBT, setSize, setStackInSlot, validateSlotIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### te

public final JumboFurnaceCoreBlockEntity te

## Constructor Details

### InputItemHandler

public InputItemHandler(JumboFurnaceCoreBlockEntity te)

## Method Details

### getFreshRecipeInput

public ClaimableRecipeWrapper getFreshRecipeInput()

### onContentsChanged

protected void onContentsChanged(int slot)

Overrides:
  `onContentsChanged` in class `net.minecraftforge.items.ItemStackHandler`